%define version 0.1.3
%define release %mkrel 3

%define scim_version       1.4.14
%define libthai_version  0.1.18

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-thai
Summary:	Thai IMEngine for SCIM
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPL
URL:		http://linux.thai.net/projects/scim-thai
Source0:	ftp://linux.thai.net/pub/ThaiLinux/software/libthai/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:		scim-client = %{scim_api}
BuildRequires:		scim-devel >= %{scim_version}
BuildRequires:		thai-devel >= %{libthai_version}
BuildRequires:		gettext-devel
BuildRequires:		automake
Obsoletes:	%libname

%description
scim-thai is a Thai IMEngine for SCIM.

%prep
%setup -q

%build
[[ ! -x configure ]] && ./bootstrap
%configure2_5x --disable-static --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

rm -f %buildroot%{_libdir}/scim-1.0/*/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*
%{_libdir}/scim-1.0/*/IMEngine/*.so
%{_libdir}/scim-1.0/*/SetupUI/*.so




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.1.3-3.mga4
+ Revision: 518248
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1.3-2.mga3
+ Revision: 381868
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 03 2012 yochenhsieh <yochenhsieh> 0.1.3-1.mga3
+ Revision: 287536
- imported package scim-thai


* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-4mdv2010.1
+ Revision: 524047
- rebuilt for 2010.1

* Fri Jan 30 2009 Funda Wang <fwang@mandriva.org> 0.1.1-3mdv2009.1
+ Revision: 335651
- fix linkage

* Sun Jul 20 2008 Funda Wang <fwang@mandriva.org> 0.1.1-2mdv2009.0
+ Revision: 238858
- fix requires

* Sat Jun 21 2008 Funda Wang <fwang@mandriva.org> 0.1.1-1mdv2009.0
+ Revision: 227741
- New version 0.1.1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.1.0-3mdv2008.1
+ Revision: 171101
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Funda Wang <fwang@mandriva.org> 0.1.0-2mdv2008.0
+ Revision: 80277
- Requires translation

* Wed Sep 05 2007 Funda Wang <fwang@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 80233
- New develpackage name for thai
- Wrong language name for scim-thai

  + Thierry Vignaud <tv@mandriva.org>
    - Import scim-thai




* Wed Sep 05 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.0-1mdv2008.0
- initial release
